/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2009-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2016                                                **
**  TU Dresden, Zentrum fuer Informationsdienste und Hochleistungsrechnen  **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



/**
 * @file
 *
 * Implements the representation and analysis of library dependencies
 */

#include "config.h"

#include <iostream>
#include <stdlib.h>
#include <cstring>

#include <cubelib_config.hpp>

#include <cubelib_config_data.hpp>

using namespace std;
#include <cubelib_config_library_dependencies_frontend_inc.hpp>

cubelib_config_data*
cubelib_config_get_frontend_data( void )
{
    static cubelib_config_data data;

    data.m_cc                    = " gcc -std=gnu99";
    data.m_cxx                   = " g++ -std=c++11";
    data.m_cppflags              = "-I/home/zam/psaviank/Soft/Cube2.0/CubeLib/tags/release-4.5-RP/vpath/_install/include/cubelib";
    data.m_incldir               = "/home/zam/psaviank/Soft/Cube2.0/CubeLib/tags/release-4.5-RP/vpath/_install/include/cubelib";
    data.m_use_rpath_flag        = 1;
    data.m_rpath_flag_cc         = "$wl-rpath $wl$libdir";
    data.m_wl_flag               = "-Wl,";
    data.m_aix_libpath           = "";
    data.m_sys_lib_dlsearch_path = "/lib /usr/lib /usr/local/lib64 /usr/local/lib /usr/lib64/R/lib /usr/lib64/graphviz /usr/lib64/graphviz/sharp /usr/lib64/graphviz/java /usr/lib64/graphviz/perl /usr/lib64/graphviz/php /usr/lib64/graphviz/ocaml /usr/lib64/graphviz/python /usr/lib64/graphviz/lua /usr/lib64/graphviz/tcl /usr/lib64/graphviz/guile /usr/lib64/graphviz/ruby /usr/X11R6/lib64 /usr/X11R6/lib /usr/lib64/octave/4.4.1 /usr/lib64/scilab /opt/tivoli/ibm/gsk8_64/lib64 /opt/tivoli/ibm/gsk8/lib /usr/lib64/vtk ";

    deque<string> libs;
    deque<string> ldflags;
    deque<string> rpaths;
    deque<string> dependency_las;
    
    add_library_dependencies_frontend( libs, ldflags, rpaths, dependency_las, &data.m_la_objects ); 
    
    

    data.prepare_rpath_flags();

    return &data;
}
